Functions | Variables

# newgrf_townname.cpp File Reference

Implementation of Action 0F "universal holder" structure and functions. More...

`#include "stdafx.h"`
`#include "newgrf_townname.h"`
`#include "core/alloc_func.hpp"`
`#include "string_func.h"`

Go to the source code of this file.

## Functions
GRFTownName * | GetGRFTownName (uint32 grfid)
GRFTownName * | AddGRFTownName (uint32 grfid)
void | DelGRFTownName (uint32 grfid)
static char * | RandomPart (char *buf, GRFTownName *t, uint32 seed, byte id, const char *last)
char * | GRFTownNameGenerate (char *buf, uint32 grfid, uint16 gen, uint32 seed, const char *last)
StringID * | GetGRFTownNameList ()
void | CleanUpGRFTownNames ()
uint32 | GetGRFTownNameId (int gen)
uint16 | GetGRFTownNameType (int gen)
## Variables
static GRFTownName * | _grf_townnames = NULL

## Detailed Description

Implementation of Action 0F "universal holder" structure and functions.

This file implements a linked-lists of townname generators, holding everything that the newgrf action 0F will send over to OpenTTD.

Definition in file newgrf_townname.cpp.